Subject: bug#46436: 27.1.91; Font weight issue on MacOS Big Sur

From: Alan Third <[email-masked]>
Date: Tue, 31 Aug 2021 20:22:04 +0100

Arnaud Antkowiak <[email-masked]> writes:

> All the informations on font weight appear to be stripped out in Mac OS Big Sur ; as a result, a single weight takes precedence over the others.
> As an example, if I install say Roboto Mono Light, I can see the font via M-x describe-font as :
>
> -*-Roboto Mono-bold-italic-normal-*-*-*-*-*-m-0-iso10646-1
> -*-Roboto Mono-bold-normal-normal-*-*-*-*-*-m-0-iso10646-1
> -*-Roboto Mono-normal-italic-normal-*-*-*-*-*-m-0-iso10646-1
> -*-Roboto Mono-normal-normal-normal-*-*-*-*-*-m-0-iso10646-1
>
> The ‘light’ weight information does not appear. As a consequence, if I now install Roboto Mono Regular, this is what I get:
>
> -*-Roboto Mono-bold-italic-normal-*-*-*-*-*-m-0-iso10646-1
> -*-Roboto Mono-bold-normal-normal-*-*-*-*-*-m-0-iso10646-1
> -*-Roboto Mono-normal-italic-normal-*-*-*-*-*-m-0-iso10646-1
> -*-Roboto Mono-normal-normal-normal-*-*-*-*-*-m-0-iso10646-1
>
> The two fonts having the same handler, one takes precedence over the other (and all the text now appears as a long fat headline).
> Testing the same process under macOS Catalina (the previous OS) on another computer, this is what I get after installing Roboto Mono Light :
>
> -*-Roboto Mono-bold-italic-normal-*-*-*-*-*-m-0-iso10646-1
> -*-Roboto Mono-bold-normal-normal-*-*-*-*-*-m-0-iso10646-1
> -*-Roboto Mono-light-italic-normal-*-*-*-*-*-m-0-iso10646-1
> -*-Roboto Mono-light-normal-normal-*-*-*-*-*-m-0-iso10646-1
> -*-Roboto Mono-light-normal-normal-*-14-*-*-*-m-0-fontset-auto1
>
> And after installing Roboto Mono Regular :
>
> -*-Roboto Mono-bold-italic-normal-*-*-*-*-*-m-0-iso10646-1
> -*-Roboto Mono-bold-normal-normal-*-*-*-*-*-m-0-iso10646-1
> -*-Roboto Mono-light-italic-normal-*-*-*-*-*-m-0-iso10646-1
> -*-Roboto Mono-light-normal-normal-*-*-*-*-*-m-0-iso10646-1
> -*-Roboto Mono-light-normal-normal-*-14-*-*-*-m-0-fontset-auto1
> -*-Roboto Mono-normal-italic-normal-*-*-*-*-*-m-0-iso10646-1
> -*-Roboto Mono-normal-normal-normal-*-*-*-*-*-m-0-iso10646-1
>
> The font weight information is here preserved and I can select different variants of the font. So it seems like the problem really pertains to MacOS Big Sur.
> Many thanks in advance for your help,

Hi, sorry nobody's got back to you before now.

I don't have Big Sur installed so I can't test this.

Are you able to try Emacs 28 (the master branch) and see if the problem
exists there too?
-- 
Alan Third